CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000367CEGUIRenderer modulespublic2010-05-15 11:502010-09-25 18:03
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.1 
Target VersionFixed in VersionMercurial: default branch 
Summary0000367: OgreRenderer::beginRendering can fail if no existing viewport is set.
DescriptionIn OgreRenderer::beginRendering we call Ogre::RenderSystem::_beginFrame. This call can fail with an exception if no view port has already been set. Since CEGUI uses it's own view ports for rendering, we should not make the assumption that a previous view port is set.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000488)
CrazyEddie (administrator)
2010-09-25 18:03

Should now be fixed in branches/v0-7 r2622.

- Issue History
Date Modified Username Field Change
2010-05-15 11:50 CrazyEddie New Issue
2010-08-02 19:09 CrazyEddie Status new => assigned
2010-08-02 19:09 CrazyEddie Assigned To => CrazyEddie
2010-09-25 18:03 CrazyEddie Note Added: 0000488
2010-09-25 18:03 CrazyEddie Status assigned => resolved
2010-09-25 18:03 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-09-25 18:03 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker